﻿Option Strict On
Imports System.Drawing.Imaging
Imports System.IO
Public Class frmMain

    Private Sub btnOpen_Click(sender As Object, e As EventArgs) Handles btnOpen.Click
        If cndOpen.ShowDialog = Windows.Forms.DialogResult.OK Then
            Try
                pic1.Load(cndOpen.FileName)
                btnSave.Enabled = True
                lbl1.Text = "Size:" + Get_Size(New FileInfo(cndOpen.FileName))
                Make()
            Catch ex As Exception
                MsgBox(ex.Message)
            End Try
        End If
    End Sub

    Private Sub Make()

        If Not pic1.Image Is Nothing Then
            Dim bmp As New Bitmap(pic1.Image)
            Dim Encoder As ImageCodecInfo = GetEncoder(pic1.Image.RawFormat)
            Dim myEncoder As System.Drawing.Imaging.Encoder = System.Drawing.Imaging.Encoder.Quality
            Dim Parameters As New EncoderParameters(1)
            Dim Parameter As New EncoderParameter(myEncoder, 50)
            Parameters.Param(0) = Parameter
            bmp.Save(Application.StartupPath + "\Pic", Encoder, Parameters)
            pic2.Load(Application.StartupPath + "\Pic")
            lbl2.Text = "Size:" + Get_Size(New FileInfo(Application.StartupPath + "\Pic"))
        End If

    End Sub
    Private Function GetEncoder(Format As ImageFormat) As ImageCodecInfo
        Dim Codecs As ImageCodecInfo() = ImageCodecInfo.GetImageDecoders()
        Dim Codec As ImageCodecInfo
        For Each Codec In Codecs
            If Codec.FormatID = Format.Guid Then
                Return Codec
            End If
        Next Codec
        Return Nothing
    End Function

    Private Function Get_Size(File As FileInfo) As String
        Dim strSize() As String = {"B", "KB", "MB", "GB", "TB"}
        For i = 0 To 5
            If File.Length < 1024 ^ i Then
                Return CSng((File.Length / 1024 ^ (i - 1))).ToString + " " + strSize(i - 1)
            End If
        Next
    End Function

    Private Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        If cndSave.ShowDialog = Windows.Forms.DialogResult.OK Then
            File.Copy(Application.StartupPath + "\Pic", cndSave.FileName, True)
        End If
    End Sub
End Class
